database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
ㆍPostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
CUBRID
LDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
PostgreSQL Q&A 9927 게시물 읽기
No. 9927
postgresql 9.0 버젼에서는 merge 기능이 제공되나요?
작성자
따흐흑따흐흑(woo___95)
작성일
2017-12-13 18:32:34
조회수
1,326

안녕하세요 5개월차 쌩 신입입니다. ㅠㅠㅠㅠㅠㅠㅠㅠㅠ

제가 지금 9.0 이하 버젼으로 개발 들어가야 하는데

upsert 기능이 필요하거든요,, 근데 이 녀석이 9.5에서만 제공된다고 하네요,,,

이 부분을 충족시키기 위해서는 merge 구문이나 upsert 를 사용해줘야 하는데 ㅜㅠㅜㅜㅜㅜ

구글링을 해보니까 안된다고 하는 사람도 있고

된다고 하는 사람도 있네요...

이 링크 안에서는 9.0 이하 버젼도 merge가 사용이 된다고 설명이 적혀져 있어서요 ㅜㅜㅜ;;;

www.postgresql.org/message-id/attachment/23520/sql-merge.html

merge를 사용할수 있나요?

 

 

이 글에 대한 댓글이 총 3건 있습니다.

9.6 버전으로 개발하세요. 업그레이드 못하면 merge 못 쓴다고 땡깡 부리세요.

김상기(ioseph)님이 2017-12-14 03:56:05에 작성한 댓글입니다.

on conflict 구문은 9.5부터 지원하고요.

 

그 전 version에서는 CTE(WITH절)로 구현해야 합니다.

김주왕(kimjuking)님이 2017-12-14 08:32:24에 작성한 댓글입니다.

https://www.slideshare.net/pgday_seoul/pgdayseoul-2017-4-composite-typejson-tvpwith-c-java

버전별로 with write나 pg merge문 확인해 보세요.

지현명(gwise)님이 2017-12-16 12:13:03에 작성한 댓글입니다.
[Top]
No.
제목
작성자
작성일
조회
9930Postgresql ODBC 인서트 관련 문의 [4]
유저
2018-01-17
904
9929비밀번호 암호화 가능한가요? [1]
심상호
2017-12-31
1104
9928vacuum 수행할때 archive생성? [1]
궁금
2017-12-14
1188
9927postgresql 9.0 버젼에서는 merge 기능이 제공되나요? [3]
따흐흑따흐흑
2017-12-13
1326
9926postgresql을 jdbc 접근 할때 [2]
김희주
2017-12-08
1224
9925union all 이런적이 있으신가요..? [2]
어렵내요
2017-12-06
1239
9924serial 관련 질문이 있습니다. [1]
owowo
2017-12-01
1181
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2018 DSN, All rights reserved.
작업시간: 0.070초, 이곳 서비스는
	PostgreSQL v10.4로 자료를 관리합니다